%global srcname sshpubkeys
%global forgeurl https://github.com/ojarva/%{srcname}/
%global tag %{version}

Name:           python-%{srcname}
Version:        3.3.1
%forgemeta
Release:        1%{?dist}
Summary:        OpenSSH public key parser for Python

License:        BSD
URL:            %{forgeurl}
Source0:        %{forgesource}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%global common_description %{expand:
Native implementation for validating OpenSSH public keys.

Currently ssh-rsa, ssh-dss (DSA), ssh-ed25519 and ecdsa keys with NIST curves
are supported.}


%description %{common_description}


%generate_buildrequires
%pyproject_buildrequires -r


%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{common_description}


%prep
%autosetup -n %{name}-%{version}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
PYTHONPATH=${PWD} %{__python3} -m unittest tests


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst


%changelog
* Wed May 19 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 3.3.1-1
- Initial package
